# OpenZaak

> ***NOTE:*** This module has been deprecated.

## Dependencies

In order to use OpenZaak, the OpenZaak module needs to be added as a dependency. The following can be added to your project, depending on whether Maven or Gradle is used:

> ***NOTE:*** The OpenZaak module has been deprecated.
>
> The OpenZaakPlugin can now be found in the [openzaak-plugin-authentication](/v12/fundamentals/getting-started/modules/zgw/openzaak-plugin-authentication.md) module.

### Backend

The samples below assume the [valtimo-dependency-versions](/v12/fundamentals/getting-started/modules/core/valtimo-dependency-versions.md) module is used. If not, please specify the artifact version as well.

#### Maven dependency:

```xml
<dependencies>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>openzaak</artifactId>
    </dependency>
</dependencies>
```

#### Gradle dependency:

```kotlin
dependencies {
  implementation("com.ritense.valtimo:openzaak")
}
```

### Using plugins

When a plugin is implemented in your project, the Openzaak module needs three additional dependencies:

* DocumentenApiAuthentication
* ZakenApiAuthentication
* CatalogiApiAuthentication

For this, the following needs to be added to your project:

#### Maven dependency:

```xml
<dependencies>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>documenten-api</artifactId>
    </dependency>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>zaken-api</artifactId>
    </dependency>
    <dependency>
        <groupId>com.ritense.valtimo</groupId>
        <artifactId>catalogi-api</artifactId>
    </dependency>
</dependencies>
```

#### Gradle dependency:

```kotlin
dependencies {
  implementation("com.ritense.valtimo:documenten-api")
  implementation("com.ritense.valtimo:zaken-api")
  implementation("com.ritense.valtimo:catalogi-api")
}
```

### Frontend

A general instruction to add a front-end plugin to the implementation can be found [here](/v12/fundamentals/getting-started/modules/core/plugin.md#adding-a-front-end-plugin-to-the-implementation).

In order to use the OpenZaak plugin in the frontend, the following can be added to your `app.module.ts`:

```typescript
import { OpenZaakPluginModule, openZaakPluginSpecification } from '@valtimo/plugin';

@NgModule({
  imports: [
      OpenZaakPluginModule,
  ],
  providers: [
      {
          provide: PLUGIN_TOKEN,
          useValue: [
              openZaakPluginSpecification,
          ]
      }
  ]
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.valtimo.nl/v12/fundamentals/getting-started/modules/zgw/openzaak.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
